package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;


import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:cda:外保内贷信息
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cda {

    //Internal Unique ID
    private String inr = NULLSTR;

    //资金用途
    private String useofunds = NULLSTR;

    //中资企业境外担保项下境内贷款业务批准文件号
    private String cfeogudad = NULLSTR;

    //中资企业境外担保项下境内贷款额度币种
    private String cfeogudcurr = NULLSTR;

    //中资企业境外担保项下境内贷款额度金额
    @JsonSerialize(using = BigDecimalSerialize.class)
    private  BigDecimal cfeogudamount  = Decimals.ZERO_SCALE2;

    //债权人代码
    private String trninr = NULLSTR;





}

