package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:trs:TRS - Signatures for Transaction
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Trs {

        //Internal Unique ID of Signatures for Transaction
        private String inr = NULLSTR;

        //INR of Session
        private String ssninr = NULLSTR;

        //Timestamp
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date dattim = NULLDATE;

        //Action Flag
        private String flg = NULLSTR;

        //User ID Duplicate from SSN
        private String usr = NULLSTR;

        //Table Used to Store Object
        private String objtyp = NULLSTR;

        //INR of Object
        private String objinr = NULLSTR;

        //Index of signature
        private String sigidx = NULLSTR;

        //User Name
        private String nam = NULLSTR;

        //Entity of user when event happened
        private String etyextkey = NULLSTR;
}