package com.brilliance.isc.bo.bopdecbo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.brilliance.mda.support.jakson.serialize.DecimalLength;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 *TABLE:dbq:境内汇款申报书-管理信息
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dbq extends AbstractCommonVo {
    //internal unique id
    private String inr ;
    //'时申报流'号
    private String tmpref ;
    //initial entity code
    private String ownextkey ;
    //version
    private String ver ;
    //操作类型
    private String actiontype ;
    //修改/删除原因
    private String actiondesc ;
    //申报号码
    private String rptno ;
    //收款人常驻国家/地区编码
    private String country ;
    //是否进口核销项下付款
    private String isref ;
    //付款类型
    private String paytype ;
    //付汇性'
    private String payattr ;
    //交易编码1
    private String txcode ;
    //相应金额1
//    @JsonSerialize(using = BigDecimalSerializeRate.class)
//    @DecimalLength(2)
    private BigDecimal tc1amt  = Decimals.ZERO_SCALE0;
    //交易编码2
    private String txcode2 ;
    //相应金额2
//    @JsonSerialize(using = BigDecimalSerializeRate.class)
//    @DecimalLength(2)
    private BigDecimal tc2amt  = Decimals.ZERO_SCALE0;
    //最迟装运日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date impdate;
    //合同号
    private String contrno ;
    //发票号
    private String invoino ;
    //外汇局批件/备案表号
    private String regno ;
    //报关单经营单位'码
    private String cusmno ;
    //报关单信息
    private String customs ;
    //填报人
    private String crtuser ;
    //填报人电话
    private String inptelc ;
    //申报日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date rptdate;
    //交易附言1
    private String txrem ;
    //交易附言2
    private String tx2rem ;
}
