package com.brilliance.isc.common.fft;


import com.brilliance.isc.bo.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;


@AllArgsConstructor
@Data
public class Fftmod {

    /**
     * ===============srvlcf
     */
    /**
     * 文件解析目录
     */
    private String msgpth;
    /**
     * 错误文件存放目录
     */
    private String errpth;
    /**
     * 单层json文件全路径
     */
    private String filnam;
    /**
     * 多层json文件全路径
     */
    private String qtfilnam;
    /**
     * smhinr
     */
    private String smhinr;
    /**
     * 文件备份全路径
     */
    private String filbckpth;
    /**
     * json备份目录
     */
    private String bakpth;

    /**
     * 报文信息
     * */
    private String msgdat;


    private String extkey;


    private Date credttm;//smh创建时间
    private String rjctinf;//返回报文中的处理信息
    private String sndref;//发送方业务号码
    private String ownref;//接收方业务号码
    private String rectyp;//业务类型，业务表名
    private String recinr;//业务表inr
    private String inifrm;//业务交易名
    private String relcur;//报文中币种，用于保存smh
    private BigDecimal relamt;
    private String staflg;//报文处理状态，一般为900报文中处理状态，用于更新对应业务记录的smh,收到911直接更新为丢弃
    private String hdrmsgid;//报文头中的msgid，用于返回990，也保存于smh
    private String origsender;//报文头中的发起人，用于返回990
    private String origsenddate;//报文头中的发送日期，用于返回990
    private String origsendtime;//报文头中的发送时间，用于返回990
    private String mesgtype;//报文头中的报文类型，用于返回990
    private String mesgrefid;//报文头中的业务参考号，用于返回990
    private String origreceiver;//报文头中的接收人，用于返回990
    private String grpmsgid;//业务头中报文标识号
    private String sndmmbid;//业务头中发起直接参与机构
    private String sndbranchid;//业务头中发起参与机构
    private String revmmbid;//业务头中接收直接参与机构
    private String revbranchid;//业务头中接收参与机构
    private String branchinr;//归属机构inr
    private String ownbch;//业务归属机构号
    private String etyextkey;//业务归属实体
    private String orgmsgtyp;//下载原报对应报文类型
    private String beghgt;//起始区块高度
    private String endhgt;//结束区块高度
    private String orgfilpth;//原业务报文备份路径

    private String curmsgtyp;

    private Smh smh;

    private Msg msg;

    private List<Bch> bchList;

    private Map lcfDatas;

    private Map elcDatas;

    private Bch bch;

    private Syssta syssta;

    private Lcfmod lcfmod;

    public Fftmod() {
        this.lcfmod = new Lcfmod();
    }

    private Trn trn;

    private Wfe wfe;

    /**
     * ===============srvlcf
     */
}
