package com.brilliance.isc.transfer.transaction;

import com.brilliance.mda.runtime.mda.util.Systems;
import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.bo.lg.GitsetStoreBo;
import com.brilliance.isc.transfer.IBaseStructMapper;
import com.brilliance.isc.transfer.model.*;
import com.brilliance.isc.vo.lg.GitsetStoreVo;
import com.brilliance.isc.vo.model.CbbVo;
import com.brilliance.isc.vo.model.Gcacbs;
import com.brilliance.isc.vo.model.Giacbs;
import org.mapstruct.*;
import org.mapstruct.factory.Mappers;


/**
 * Gitame Bo、Vo之间的转换处理类。如果有很复杂的函数，则可以用适配器模式重写
 */
@Mapper(componentModel = "spring",uses = {
        IGctMapper.class, IGitMapper.class,
        INitMapper.class, INctMapper.class, IOtherModMapper.class}
        )
public interface GitsetStructMapper extends IBaseStructMapper<GitsetStoreBo, GitsetStoreVo> {

    /**
     * 此行语句一定要写，StructMapper需要
     */
    GitsetStructMapper INSTANCE = Mappers.getMapper(GitsetStructMapper.class);

    /**
     * Vo转为Bo
     *
     * @param vo
     * @return 返回业务Bo
     */
    @Override
    GitsetStoreBo voTransferToBo(GitsetStoreVo vo);

    /**
     * Vo追加更新至Bo
     * 忽略oldgrp的复制
     * @param vo
     * @param bo
     */
    @Override
    @Mappings({
            @Mapping(target = "gidgrp",ignore = true),
//            @Mapping(target = "gcdgrp",ignore = true)
    })
    void voUpdateToBo(GitsetStoreVo vo, @MappingTarget GitsetStoreBo bo);

    @AfterMapping
    default void afterUpdate(GitsetStoreVo vo, @MappingTarget GitsetStoreBo bo){
//        bo.getGcdgrp().getRec().setFrepayflg(vo.getGcdgrp().getRec().getFrepayflg());
        bo.getGidgrp().getRec().setCmtflg(vo.getGidgrp().getRec().getCmtflg());
        bo.getGidgrp().getRec().setRptref(vo.getGidgrp().getRec().getRptref());
        bo.getGidgrp().getRec().setInvref(vo.getGidgrp().getRec().getInvref());
//        Gcacbs cbs = vo.getGcdgrp().getCbs();
//        if(cbs==null){
//            return;
//        }
//        Cbb opn1 = cbs.getOpn1();
//        bo.getGcdgrp().getCbs().setOpn1(opn1);
    }

    /**
     * Bo转为Vo
     *
     * @param bo
     * @return 返回Vo
     */
    @Override
    GitsetStoreVo boTransferToVo(GitsetStoreBo bo);

    /**
     * bo追加更新至Bo
     *
     * @param bo
     * @param vo
     */
    @Override
    void boUpdateToVo(GitsetStoreBo bo, @MappingTarget GitsetStoreVo vo);
}
