package com.brilliance.isc.vo.lc;

import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.isc.vo.collection.Docgrd;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * 转让信用证单据业务要素
 */
@Data
public class BtdBizInfoVo extends BizInfoVo {

    private String pnttyp;

    private String pntinr;

    ////Btdgrp.Rec.Docprbrol
    private String docprbrol;

    //Btdgrp.Rec.Payrol
    private String payrol;

    //Btdgrp.Rec.Docprbrolbe1
    private String docprbrolbe1;

    private String ledinr;

    private String ownref;

    //Documents on Approval Basis
    private String approvcod = NULLSTR;

    //Available by
    //ledgrp\rec\avbby
    private String avbby = NULLSTR;

    private String rmbflg;

    // oldbtdgrp/cbs/opnbe1amt/amt
    private BigDecimal oldOpnbe1amt;

    // oldbtdgrp/cbs/opnbe2amt2/amt
    private BigDecimal oldOpnbe1amt2;

    // oldbtdgrp/cbs/max/amt
    private BigDecimal oldMaxamt;

    // oldbtdgrp/cbs/max/amt
    private BigDecimal oldMax2amt;

    //rmbclmnow
    //Claim Reimbursement now
    private String rmbclmnow = NULLSTR;

    //rmbclmlate
    //Claim Reimbursement late
    private String rmbclmlate = NULLSTR;

    //rmbclm.rmbrol
    //Reimbursement by rmbrcl/rmbrol
    private String rmbrol = NULLSTR;

    // rmbrcl/rmbrmb/pts/ptainr
    private String rmbrmbPtsPtainr = NULLSTR;

    // rmbrcl/rmbrmb/pts/extkey
    private String rmbrmbPtsExtkey = NULLSTR;


    //    btdgrp/blk/docdis
    private String docdis;

    //further handling
    //Bttp.Futhndflg
    private String futhndflg = NULLSTR;

    // getBtdgrp().getBe1().isRolSet()
    private boolean be1RolSet = false;

    private Integer tenmaxday;

    private String clsflg = NULLSTR;

    //btdgrp.rec.clsdat
    private Date clsdat;

    //Rejection pending instructions
    private String rejpenins = NULLSTR;

    //bttdcr.advdisflg
    //Send Advice of Discrepancies
    private String advdisflg = NULLSTR;

    //Accept to 2ben bank
    private String accdisflg = NULLSTR;

    //MT752: Further Indentification
    private String furide = NULLSTR;

    //btdgrp/rec/advtyp
    private String advtyp;

    //rmbclm/clmrmbflg
    private String clmrmbflg;

    //btdgrp/rec/mattxtflg
    private String mattxtflg = NULLSTR;

    //setmod/docamt
    private BigDecimal docamt;

    //setmod/doccur
    private String doccur;

    //setmod/redamt
    private BigDecimal redamt;

    /**
     * bttcan.sndmsg
     */
    private String sndmsg;

    /**
     * bttset.trnmod.swiadd.addamt
     */
    private BigDecimal addamt;

    /**
     * bttset.btdgrp.rec.frepayflg
     */
    private String frepayflg;

    /**
     * bttset.be1amt
     */
    private BigDecimal be1amt;

    //aamset.utlamt2
    private  BigDecimal utlamt2;

    //fremsg相关
    private String sndmt;
    private  String msgrol = NULLSTR;
    private  String ccrol = NULLSTR;
    private PtsptaVo othmsg;
    private PtsptaVo othcc;
    private  String reldir = NULLSTR;
    private  String fulmt = NULLSTR;
    private  String relmt = NULLSTR;

    private String stacty;

    //默认对手费用收取角色
    private String feecorrol = NULLSTR;

    //bttp.docgrdmbe1.docgrd
    private List<Docgrd> be1docgrd;
    //bttp.docgrdmbe1.rightdocgrd
    private List<Docgrd> be1rightdocgrd;
    //bttp.docgrdmbe2.docgrd
    private List<Docgrd> be2docgrd;
    //bttp.docgrdmbe2.rightdocgrd
    private List<Docgrd> be2rightdocgrd;
    //btdgrp.rec.lescom
    private BigDecimal lescom;

}
