package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class ImglotVo extends BaseEntity {
    // 唯一ID，主键
    private String inr;
    // 影像批次号
    private String lotnum;
    // 业务参考号
    private String ownref;
    // 交易码
    private String trncod;
    // 核心机构号,上传影像的柜员的所属机构
    private String branch;
    // 影像唯一标识
    private String imginr;
    // 上传影像的柜员
    private String imgusr;
    // 上传影像的时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date imgtim;
    // 上传影像开始时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date imgbgn;
    // 上传影像结束时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date imgend;
    // 业务认证等级,0-无授权,1-分行授权,2-总行授权
    private String athlev;
    // 绑定状态,Y-是，N-否
    private String bndsta;
    // 操作类型,0-绑定影像,1-解绑影像,2-新增影像,3-修改影像,4-删除影像,5-分行授权,6-总行授权,7-总行退回
    private String optype;
    // 最后的操作用户
    private String opuser;
    // 最后的操作日期
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date optime;
    // 最后的操作开始时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date optbgn;
    // 最后的操作结束时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date optend;
    // 渠道来源 0-国结交易 1-E结算 2-云平台
    private String msgsrc;
    private String msgsrcname;
    // 关联来报的唯一标识号 取SMH表的inr
    private String msginr;
    // trn表inr
    private String trninr;

    //关联的业务编号
    private String relatedref;
}
