package com.brilliance.isc.vo.manager;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class LgbStmVo extends BaseEntity {

    private String lgbinr  = NULLSTR;

    private String lgbtyp  = NULLSTR;

    private String lgbsta  = NULLSTR;

    private String lgbcur  = NULLSTR;

    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal lgbamt  = Decimals.ZERO_SCALE3;

    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal lgauseamt  = Decimals.ZERO_SCALE3;

    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal lganacamt  = Decimals.ZERO_SCALE3;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date lgbexpdat;

}
