package com.brilliance.isc.vo.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.BizInfoVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * 国贸公服根前端模型
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GmgfVo {
    /**
     * 报关单号[入参：前端选中的一条记录的关单单号]
     */
    private String choiceCustomNo;
    /**
     * 统一社会信用代码[前端展示]
     */
    private String unionOrgCode;
    /**
     * 平台订单编号[前端展示]
     */
    private String orderNo;
    /**
     * 是否展示国贸公服组件[前端使用]
     */
    private boolean visual;
    /**
     * 业务信息[缓存信息]
     */
    private BizInfoVo bizInfo = new BizInfoVo();
    /**
     * 金额信息[缓存信息]
     */
    private Cbb max;
    /**
     * 初始化加载的报关单号[缓存信息]
     */
    private String initCustomNo;

}
