package com.brilliance.isc.esb.api.scfp;

import com.brilliance.isc.esb.model.cfca.ReqFT71;
import com.brilliance.isc.esb.model.cfca.ReqGJ71;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.Map;

/**
 * SCFP 在线供应链金融平台
 *
 * @restApi
 */
//@RequestMapping("/protocol/webapi")
public interface ScfpClient {
    /**
     * PF71 安心签盖章(原FT71)
     *
     * @param reqFT71
     * @return
     */
    @PostMapping("/trustSignContract/signAction")
    Map<String,Object> callFT71(ReqFT71 reqFT71 );

    /**
     * GJ71 安心签ofd关键字盖章
     * @param reqGJ71
     * @return
     */
    @PostMapping("/trustSignContract/signAction")
    Map<String,Object> callGJ71(ReqGJ71 reqGJ71);
}
