package com.brilliance.isc.esb.model.qyxx;

import com.brilliance.isc.esb.model.ErrorData;

import java.util.ArrayList;
import java.util.List;

/**
 * 云平台和e结算签约信息查询响应模型
 */
public class Resqyxx extends ErrorData {

    public List<ItemQyxx> qyxx = new ArrayList<>();

    public static class ItemQyxx {
        /**
         * 客户编号 [0,24]
         */
        public String ptyextkey;
        /**
         * 客户名称 [0,40]
         */
        public String ptynam;
        /**
         * 渠道来源 [0,1]
         * Y：云平台
         * E：e结算
         */
        public String fromflg;
        /**
         * 签约状态 [0,1]
         * 0：已签约
         * 1：已停用
         * 2：冻结
         */
        public String sinsta;
        /**
         * 签约时间
         */
        public String sintime;
        /**
         * 是否接受通知 [0,1]
         * Y：是
         * N：否
         */
        public String ntfsta;
        /**
         * 签约备注信息 [0,100]
         */
        public String remark;
    }

    public Resqyxx() {
    }

    public Resqyxx(List<ItemQyxx> qyxx) {
        this.qyxx = qyxx;
    }
}
