package com.brilliance.isc.esb.model.whj;

public class ReqMsgData<T> {

    /**
     * 请求业务操作
     * */
    public String method;

    /**
     * 请求业务类型, EXPORT：出口，SINOSURE：信保，COMMON:通用接口，非必填，默认EXPORT。
     * */
    public String service;

    /**
     * 请求参数Object
     * */
    public T unCryptContent;

    /**
     * 加密后请求参数
     * */
    public String content;

    /**
     * 请求业务唯一编号
     * */
    public String reqId;

    /**
     * 时间戳 当前时间与1970年1月1日的毫秒数
     * */
    public String timestamp;

    /**
     * 具体业务办理行金融机构标识码
     * */
    public String bankSafeCode;

    /**
     * 签名
     * */
    public String signature;

    public ReqMsgData() {
    }

    public ReqMsgData(T unCryptContent) {
        this.unCryptContent = unCryptContent;
    }
}
