package com.brilliance.isc.common.irtcal.vo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
public class IrdeleVo implements Serializable {

    //Date from including
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date begdat;
    //Date until excluding
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date enddat;
    //Units
    private BigDecimal uni = Decimals.ZERO_SCALE4;
    //Base/Reference Rate
    private  BigDecimal refrte = Decimals.ZERO_SCALE6;
    //Margin
    private  BigDecimal margin = Decimals.ZERO_SCALE6;
    //Rate
    private  BigDecimal rte = Decimals.ZERO_SCALE6;
    //Amount to which rate was applied
    private  BigDecimal basamt = Decimals.ZERO_SCALE4;
    //Result
    private  BigDecimal amt = Decimals.ZERO_SCALE4;
    //Tier
    private  String trxflg = NULLSTR;
    //Currency
    private  String cur = NULLSTR;
}
